<?php
/*
*
* ajaxfs Plugin
* Copyright 2011 mostafa shirali
* http://www.kingofpersia.ir
* No one is authorized to redistribute or remove copyright without my expressed permission.
*
*/

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook('index_start', 'ajaxfs');
// The information that shows up on the plugin manager
function ajaxfs_info()
{
return array(
		"name" => "ajaxfs",
		"description" => "This plugin displays statistics for all the users and forums",
		"website" => "http://www.kingofpersia.ir",
		"author" => "Mostafa shirali",
		"authorsite" => "http://www.kingofpersia.ir",
		"version" => "2.0",
        "guid"=> "f9edbdc80fcd704aced13cab145a4a43",
);
}




// This function runs when the plugin is activated.
function ajaxfs_activate()
{
global $mybb, $db, $templates,$cache;
	require_once MYBB_ROOT.'inc/adminfunctions_templates.php';
    find_replace_templatesets("headerinclude", '#{\$stylesheets}#', '<script type="text/javascript" src="{$mybb->settings[\'bburl\']}/jscripts/ajaxfs.js"></script> {\$stylesheets}');
    find_replace_templatesets("headerinclude", '#{\$stylesheets}#', '<script type="text/javascript" src="{$mybb->settings[\'bburl\']}/jscripts/jquery.js"></script> {\$stylesheets}');
	find_replace_templatesets("index", '#{\$forums}#', '{\$forums}{\$ajaxfs_panel}',0);

}






function ajaxfs()
{
	   require_once MYBB_ROOT.'inc/adminfunctions_templates.php';
	global $mybb,$lang,$db,$ajaxfs_panel,$theme;

	$lang->load("ajaxfs");
//Last post
	$query = $db->query ("SELECT * FROM ".TABLE_PREFIX."threads WHERE visible='1' ORDER BY tid DESC LIMIT 0,15");
	
	for($i=0;$i<$db->num_rows($query);$i++)
	{
		$fetch =$db->fetch_array($query);
		$profilelink=$mybb->settings['bburl'].'/member.php?action=profile&uid='.$fetch['uid'];
		$lastposter=$fetch['lastposter'];
		$lastposteruid=$fetch['lastposteruid'];
		$query_users = $db->query ("SELECT * FROM ".TABLE_PREFIX."users WHERE uid='$lastposteruid'");
		$fetch_users =$db->fetch_array($query_users);
		$lastposter=format_name($fetch_users['username'],$fetch_users['usergroup'],$fetch_users['displaygroup']);
		$profilelink_lastposter=$mybb->settings['bburl'].'/member.php?action=profile&uid='.$lastposteruid;
		$tid=$fetch['tid'];
		$uid=$mybb->user['uid'];
		$query_view = $db->query("SELECT * FROM ".TABLE_PREFIX."threadsread WHERE tid='$tid' AND uid='$uid'");
		$query_posts = $db->query("SELECT * FROM ".TABLE_PREFIX."posts WHERE tid='$tid' ORDER BY pid DESC LIMIT 0,1 ");
		$post_fetch=$db->fetch_array($query_posts);;
		$post_pid=$post_fetch['pid'];
		$threadlink = get_post_link($post_pid)."#pid".$post_pid;
		if($db->num_rows($query_view)==0)
		{
		$read_image='<img src="'.$mybb->settings['bburl'].'/images/fs_unread.gif">';
		}
		else
		{
		$read_image='<img src="'.$mybb->settings['bburl'].'/images/fs_read.gif">';
		}

$thread_sub=htmlspecialchars_uni(substr($fetch['subject'],0,90));
	$lastpost .='<span style="width:75%;align:right;text-align:right;float:right;vertical-align:top;line-height:20px;">'.$read_image.'<a href="'.$threadlink.'" target="_blank"  onmouseover="javascript:tooltip('.$post_pid.',event);" onmousemove="javascript:tooltipmove(event);"  onmouseout="javascript:tooltipout();">  '.$thread_sub.'</a></span><span style="width:25%;text-align:center;vertical-align:top;line-height:20px;"><a href="'.$profilelink_lastposter.'" target="_blank">'.$lastposter.'</a></span><br/>';

	}

//Last user
	$query_user = $db->query ("SELECT * FROM ".TABLE_PREFIX."users ORDER BY uid DESC LIMIT 0,15");
	
	for($i=0;$i<$db->num_rows($query_user);$i++)
	{
		$fetch_user =$db->fetch_array($query_user);
		$profile_user_link=$mybb->settings['bburl'].'/member.php?action=profile&uid='.$fetch_user['uid'];
		$uid=$fetch_user['uid'];
		$query_users = $db->query ("SELECT * FROM ".TABLE_PREFIX."users WHERE uid='$uid'");
		$fetch_users =$db->fetch_array($query_users);
		$username=format_name($fetch_users['username'],$fetch_users['usergroup'],$fetch_users['displaygroup']);

	$lastuser .='<font style="hieght:18.75px;align:right;text-align:center;float:right;vertical-align:top;"><a href="'.$profile_user_link.'" target="_blank" onmouseover="javascript:usertooltip('.$uid.',event);" onmousemove="javascript:usertooltipmove(event);"  onmouseout="javascript:usertooltipout();">'.$username.'</a></font><br/>';

	}

$ajaxfs_panel .= '<br\><table border="0"  cellspacing="{$theme[\'borderwidth\']}" cellpadding="{$theme[\'tablespace\']}" class="tborder" height="300px"><tr>
<td class="thead" colspan="4" align="right"><strong>'.$lang->ajaxfs_panel.'</strong></td>
</tr>
	<tr>
		<td width="25%"  class="ajxfscat" style="padding: 5px 0px 0px 5px;vertical-align:top;">
			<div class="mainbox">
				<ul class="tabs">
				<li class="current"><span style="padding: 0px 5px;">
					<select class="gensmall" id="top_users" onchange="javascript:toping();">
					<option selected="selected" value="newest">'.$lang->ajaxfs_last_user.'</option>
					<option value="topposter">'.$lang->ajaxfs_most_sender.'</option>
					<option value="toppoint">'.$lang->ajaxfs_top_point.'</option>
					<option value="topthanks">'.$lang->ajaxfs_top_thanks.'</option>
					<option value="thankers">'.$lang->ajaxfs_top_thankers.'</option>
					<option value="mostdownload">'.$lang->ajaxfs_most_download.'</option>
					<option value="mostreffer">'.$lang->ajaxfs_most_reffer.'</option>

					</select></span>
				</li></ul><table><tr style="vertical-align:top;"><td><img src="'.$mybb->settings['bburl'].'/images/list.gif" /></td><td background="'.$mybb->settings['bburl'].'/images/listbg.gif" width="100%" style="border-top: 0px none; padding: 0px; line-height: 20px; background-repeat: repeat;">
				<div id="top_user_list" style="height:308px;">
				'.$lastuser.'
				</div></td></tr></table>
			</div>
		</td>

		<td  width="75%" style="padding: 5px 5px 0px;vertical-align:top;">
			<div class="mainbox">
				<ul class="tabs">
					<li id="topx_newpost" class="current"><span style="padding: 0px 8px 0px 8px;" onclick="javascript:last_post();">'.$lang->ajaxfs_last_post.'</span></li>
					<li id="topx_mostview" class="current"><span style="padding: 0px 8px;" onclick="javascript:most_view_post();">'.$lang->ajaxfs_view_post.'</span></li>
					<li id="topx_most_reply" class="current"><span style="padding: 0px 8px;" onclick="javascript:hot_post();">'.$lang->ajaxfs_most_reply.'</span></li>
				</ul>

				<table  style="height:300px;">
				<tr style="vertical-align:top;"><td><img src="'.$mybb->settings['bburl'].'/images/list.gif" />
</td><td background="'.$mybb->settings['bburl'].'/images/listbg.gif" width="100%" style="border-top: 0px none; padding: 0px; line-height: 18.75px; colspan="5" background-repeat: repeat;">
				<div   id="top_post_list" style="height:300px;">
				'.$lastpost.'
				</div></td></tr></table>
			</div>
		</td>
	</tr>
</table><div style="text-align: left; font-size: 10px;"> Ajax Forum Stat by <a href="http://www.kingofpersia.ir" target="blank">Mostafa</a></div><br><br>';

$ajaxfs_panel .='<style language="css">
.tabs 
{ 
padding-bottom: 26px;
 margin-bottom: 15px;
 background: #EFEFEF;
 border-top: 1px solid #FFF;
 border-bottom: 1px solid #CAD9EA;
 align:center;

 }
.tabs li 
{ 
list-style: none;
float:  right; 
line-height: 27px;
 border:1px solid #CAD9EA; 
 height: 27px; 
 font-size: 11px;
 cursor:pointer; 
 }
.tabs li.current 
{
 background: #F7F7F7; 
 height: 27px;
 font-weight: bold;
 }
 .tabs li.current:hover 
{
 background: #e5e1e1; 
 }
  .tabs li.current:selection 
{
 background: #d6f0ff; 
 }
.mainbox 
{ 
background: #F7F7F7;
 border: 1px solid #9DB3C5;
 padding: 1px;margin:1px;
 }
 .ajxfscat {
	color: #3c91e2;
	font-size: 10px;
	font-weight: bold;
        border: solid 1px;
        border-radius: 5px;
        -moz-border-radius: 5px;
        -webkit-border-radius: 5px;
}

.ajxfscat a:link {
	color: #3c91e2;
	text-decoration: none;
}

.ajxfscat a:visited {
	color: #3c91e2;
	text-decoration: none;
}

.ajxfscat a:hover, .ajxfscat a:active {
	color: #fc4438;
	text-decoration: none;
}
#tooltip{
	width:230px;
	hieght:300px;
	border:1 px;
	border-style:dotted;
	border-top-color:#000000;
	boreder-bottom-color:#000000;
	boreder-left-color:#fcfdff;
	boreder-right-color:#fcfdff;
	border-top-left-radius:5 px;
	boreder-top-right-radius:5 px;
	boreder-bottom-left-radius:5 px;
	boreder-bottom-right-radius:5 px;
	text-align:right;
	position:absolute;
	background:#fdfdfd;
	color:#000;
	display:none;
	font: 11px Tahoma;

	}
	#usertooltip{
	width:230px;
	hieght:300px;
	border:1 px;
	border-style:dotted;
	border-top-color:#000000;
	boreder-bottom-color:#000000;
	boreder-left-color:#fcfdff;
	boreder-right-color:#fcfdff;
	border-top-left-radius:5 px;
	boreder-top-right-radius:5 px;
	boreder-bottom-left-radius:5 px;
	boreder-bottom-right-radius:5 px;
	text-align:right;
	position:absolute;
	background:#fdfdfd;
	color:#000;
	display:none;
	font: 11px Tahoma;

	}
		#loading{
	width:100px;
	hieght:100px;
	border:1 px;
	border-style:dotted;
	border-top-color:#000000;
	boreder-bottom-color:#000000;
	boreder-left-color:#fcfdff;
	boreder-right-color:#fcfdff;
	border-top-left-radius:5 px;
	boreder-top-right-radius:5 px;
	boreder-bottom-left-radius:5 px;
	boreder-bottom-right-radius:5 px;
	text-align:right;
	position:absolute;
	background:#fdfdfd;
	color:#000;
	display:none;
	font: 11px Tahoma;

	}
</style>';


}
	function ajaxfs_deactivate()
	{

	global $mybb, $db, $templates;
	require_once MYBB_ROOT.'inc/adminfunctions_templates.php';



	find_replace_templatesets("headerinclude", '#'.preg_quote('<script type="text/javascript" src="{$mybb->settings[\'bburl\']}/jscripts/ajaxfs.js"></script>').'#', '',0);
	find_replace_templatesets("headerinclude", '#'.preg_quote('<script type="text/javascript" src="{$mybb->settings[\'bburl\']}/jscripts/jquery.js"></script>').'#', '',0);
	find_replace_templatesets("index", '#'.preg_quote('{$ajaxfs_panel}').'#', '',0);


	}


?>